
Redmine - Defect #28440

After commit missing file

2018-03-27 10:05 - Roman Shipiev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

--- a/test/unit/attachment_transaction_test.rb

+++ b/test/unit/attachment_transaction_test.rb

@@ -73,4 +73,18 @@ class AttachmentTest < ActiveSupport::TestCase

     end

     assert File.exist?(diskfile)

   end

+

+  def test_after_commit_dont_missing_file

+    attachments =

+        ActiveRecord::Base.transaction do

+          (1..3).map do

+            Attachment.create!(

+                :file => 'anything',

+                :filename => 'filename.pdf',

+                :author => User.find(1)

+            )

+          end

+        end

+    assert attachments.reject { |a| File.exist?(a.diskfile) }.empty?

+  end

 end

Related issues:

Is duplicate of Redmine - Defect #33769: When creating more than two identica... Closed

History

#1 - 2018-04-28 09:28 - Go MAEDA

- Category set to Attachments

#2 - 2020-09-28 15:49 - Go MAEDA

- Is duplicate of Defect #33769: When creating more than two identical attachments in a single db transaction, the first one always ends up unreadable

added

#3 - 2020-09-28 15:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The issue will be fixed by #33769.
